<div class="container edit-element-form">
  <form (submit)="updateAnchorElement()">
    <input class="form-control" placeholder="Text" [(ngModel)]="anchorText" name="anchorText">
    <input class="form-control" placeholder="Address" [(ngModel)]="anchorHref" name="anchorHref">
    <div class="row">
      <div class="col-12 checkbox-holder">
        <input type="checkbox" class="form-control" id="openInNewTab" name="openInNewTab" [(ngModel)]="openInNewTab" >
        <label for="openInNewTab">Open in new tab</label>
      </div>
    </div>
    <app-color-picker
      [title]="'Font Color:'"
      [color]="fontColor"
      (colorSelected)="fontColorSelected($event)"
    >
    </app-color-picker>
    <label>Font weight:</label>
    <app-select-dropdown
      [options]="fontWeightOptions"
      [currentSelection]="fontWeight"
      [defaultSelection]="'normal'"
      (selected)="fontWeightSelected($event)"
    >
    </app-select-dropdown>
    <label>Font size:</label>
    <app-select-dropdown
      [options]="fontSizeOptions"
      [currentSelection]="fontSize"
      [defaultSelection]="'16px'"
      (selected)="fontSizeSelected($event)"
    >
    </app-select-dropdown>
    <button type="submit" class="btn btn-primary">OK</button>
  </form>
</div>